Difference between revisions of "TechDraw Midpoints/it"

From FreeCAD Documentation
Jump to: navigation, search
(Created page with "==Script==")
(Created page with "{{Emphasis|Vedere anche:}} API TechDraw e Nozioni di base sugli script di FreeCAD.")
Line 32: Line 32:
 
==Script==
 
==Script==
  
{{Emphasis|See also:}} [[TechDraw API]] and [[FreeCAD Scripting Basics]].
+
{{Emphasis|Vedere anche:}} [[TechDraw API/it|API TechDraw]] e [[FreeCAD Scripting Basics/it|Nozioni di base sugli script di FreeCAD]].
  
 
Cosmetic Vertices are not accessible from [[macros]] or the [[Python]] console at this time.  This snippet will remove all Cosmetic Vertices from the View.
 
Cosmetic Vertices are not accessible from [[macros]] or the [[Python]] console at this time.  This snippet will remove all Cosmetic Vertices from the View.

Revision as of 10:43, 16 July 2019

Other languages:
English • ‎français • ‎italiano
Arrow-left.svg Techdraw-point.svg Vertice cosmetico Pagina precedente:
Pagina successiva: Quadrante Techdraw-quadrant.svg Arrow-right.svg

Techdraw-midpoint.svg Punti mediani

Posizione nel menu
TechDraw → Punti mediani
Ambiente
TechDraw
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Vertice cosmetico, Quadrante


Descrizione

Lo strumento Punti mediani aggiunge dei vertici cosmetici nei punti medi di uno o più bordi.

TechDraw CosmeticMidpoint Sample.png

Vertici cosmetici nei punti mediani dei bordi


Utilizzo

  1. Selezionare uno o più bordi in una vista.
  2. Premere il pulsante Techdraw-midpoint.svg Punti mediani
  3. I vertici cosmetici vengono aggiunti nei punti medi dei bordi.


Proprietà

I vertici cosmetici non hanno proprietà proprie, in quanto non sono dei Document Objects. Condividono le impostazioni di colore e dimensione con i normali vertici della geometria.

Script

Vedere anche: API TechDraw e Nozioni di base sugli script di FreeCAD.

Cosmetic Vertices are not accessible from macros or the Python console at this time. This snippet will remove all Cosmetic Vertices from the View.

>>> v = App.ActiveDocument.View
>>> v.clearCV()
>>> App.activeDocument().recompute()


Notes

  • This feature was added in v0.19
Arrow-left.svg Techdraw-point.svg Vertice cosmetico Pagina precedente:
Pagina successiva: Quadrante Techdraw-quadrant.svg Arrow-right.svg